import { BaseElementListViewWidget } from '../../basic';
export declare class GalleryWidget extends BaseElementListViewWidget {
    /**
     * 默认间距
     */
    private get defaultGutter();
    initialize(props: any): this;
    get cols(): number;
    protected get gutter(): number[];
    protected get itemWidth(): number | null | undefined;
    protected get itemMinWidth(): number | null | undefined;
    protected get itemMaxWidth(): number | null | undefined;
    protected childrenInvisibleProcess(): boolean;
}
